/****************************************************************************
**
** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Alexander Bokovoy (alexander.bokovoy@nokia.com)
**
** This file is part of Feed engine.
**
** $FEED_ENGINE_BEGIN_LICENSE$
** This software, including documentation, is protected by copyright controlled by
** Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
** adapting or translating, any or all of this material requires the prior written consent
** of Nokia Corporation. This material also contains confidential information which may
** not be disclosed to others without the prior written consent of Nokia.
** $FEED_ENGINE_END_LICENSE$
**
****************************************************************************/


#ifndef FEEDSERVICEUTILS_H
#define FEEDSERVICEUTILS_H

class QString;
class QStringList;
template <class> class QList;

template<class To, class From>
struct ConversionHelper
{
    static To convert(const From &from);
};


template<class From>
struct ConversionHelper<QString, From>
{
    static QString convert(const From &from)
    {
        return from.toString();
    }
};



template< class To, class From>
QList<To> makeQList(const QList<From> &sourceList)
{
    QList<To> list;
    foreach( const From &item, sourceList)
        list << ConversionHelper<To, From>::convert(item);
    return list;
}

#endif
