/****************************************************************************
**
** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Alexander Bokovoy (alexander.bokovoy@nokia.com)
**
** This file is part of Feed engine.
**
** $FEED_ENGINE_BEGIN_LICENSE$
** This software, including documentation, is protected by copyright controlled by
** Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
** adapting or translating, any or all of this material requires the prior written consent
** of Nokia Corporation. This material also contains confidential information which may
** not be disclosed to others without the prior written consent of Nokia.
** $FEED_ENGINE_END_LICENSE$
**
****************************************************************************/


#ifndef FEEDNODE_H
#define FEEDNODE_H

/*!
\class FeedNode
\brief Abstract base class for all types of Feed Structures.
It does not have any role at the moment. It will be used to provide common
properties for all feed structures like channel, message, enclosures etc
*/
class FeedNode
{
public:
    FeedNode();
    //! Establish parent child relationship with another FeedNode
    /*!
      This method needs to be implemented in derived class.
      */
    virtual void addChild(FeedNode *) = 0;
};

#endif // FEEDNODE_H
