/****************************************************************************
**
** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Alexander Bokovoy (alexander.bokovoy@nokia.com)
**
** This file is part of Feed engine.
**
** $FEED_ENGINE_BEGIN_LICENSE$
** This software, including documentation, is protected by copyright controlled by
** Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
** adapting or translating, any or all of this material requires the prior written consent
** of Nokia Corporation. This material also contains confidential information which may
** not be disclosed to others without the prior written consent of Nokia.
** $FEED_ENGINE_END_LICENSE$
**
****************************************************************************/


#ifndef QSTGLOBAL_H
#define QSTGLOBAL_H

#include <QtCore/QtGlobal>

// @todo if user has specified only partial debug-config then
// complete the config by adding QST_NO_<x>
// --- Filenames ---
#define QST_NO_FILE_NAME          0x01
#define QST_SHOW_FILE_NAME        0x02
#define QST_SHOW_FILE_PATH        0x04

// --- Line Numbers ---
#define QST_NO_LINENUMBER         0x08
#define QST_SHOW_LINENUMBER       0x10


// --- Function Names ---
#define QST_NO_FUNCTION           0x20
#define QST_SHOW_SHORT_FUNCTION   0x40
#define QST_SHOW_LONG_FUNCTION    0x80


#define QST_FILE_NAME     QFileInfo(__FILE__).fileName()
#define QST_FILE_PATH     QFileInfo(__FILE__).filePath()


#define QST_LONG_FUNCTION   Q_FUNC_INFO
// -- Compiler Independant Function Macro --
// --- function name macro on differnet compilers---
#if defined(Q_CC_GNU) | defined(Q_CC_MINGW)
    #define QST_SHORT_FUNCTION  QString(__FUNCTION__)
#else
    #define QST_SHORT_FUNCTION  QString()
#endif

#endif
