/****************************************************************************
**
** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Alexander Bokovoy (alexander.bokovoy@nokia.com)
**
** This file is part of Feed engine.
**
** $FEED_ENGINE_BEGIN_LICENSE$
** This software, including documentation, is protected by copyright controlled by
** Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
** adapting or translating, any or all of this material requires the prior written consent
** of Nokia Corporation. This material also contains confidential information which may
** not be disclosed to others without the prior written consent of Nokia.
** $FEED_ENGINE_END_LICENSE$
**
****************************************************************************/


#ifndef FEEDDATETIMEPARSER_H
#define FEEDDATETIMEPARSER_H

class QDateTime;
class QString;

//class FeedDateTimeParser;

class FeedDateTimeParserInterface
{
public:
    virtual ~FeedDateTimeParserInterface();
    virtual bool   canParse(const QString &text) const = 0;
    virtual QDateTime parse(const QString &text) = 0;
};


class FeedDateTimeParser
{
public:
    FeedDateTimeParser();
    ~FeedDateTimeParser();

    //! This Function Takes date time string with zone and returns Date Time in UTC.
    QDateTime parse(const QString &date);

private:
    FeedDateTimeParser(const FeedDateTimeParser &parser);

    FeedDateTimeParserInterface *_parser;

};


#endif // FEEDDATETIMEPARSER_H
