/****************************************************************************
**
** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Alexander Bokovoy (alexander.bokovoy@nokia.com)
**
** This file is part of Feed engine.
**
** $FEED_ENGINE_BEGIN_LICENSE$
** This software, including documentation, is protected by copyright controlled by
** Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
** adapting or translating, any or all of this material requires the prior written consent
** of Nokia Corporation. This material also contains confidential information which may
** not be disclosed to others without the prior written consent of Nokia.
** $FEED_ENGINE_END_LICENSE$
**
****************************************************************************/


#ifndef FEEDENCLOSUREGROUPXMLCONVERTER_H
#define FEEDENCLOSUREGROUPXMLCONVERTER_H

#include "feedabstractxmlconverter.h"
#include <QObject>

class FeedEnclosureGroupXmlConverter : public FeedAbstractXmlConverter
{
    Q_OBJECT

public:
    FeedEnclosureGroupXmlConverter();

    //! Parses a <enclosuregroup> DOM tree. Handles all nodes under enclosuregroup and invokes FeedEnclosureXmlConverter for <enclosure> nodes
    bool parseDomNode(const QDomElement &node);
    //! Calls the feedParentNode() to retrieve the FeedMessage object to which an enclosure node could be set as child
    FeedNode* feedNode();

private:
    //! Extracts all child nodes in the <enclosuregroup> node except <enclosure> nodes
    void extractGroupInformation(const QDomElement &e);
    //! Invokes FeedEnclosureXmlConverter to extracts each <enclosure> node
    void extractEnclosures(const QDomElement &e);
};

#endif // FEEDENCLOSUREGROUPXMLCONVERTER_H
