/****************************************************************************
**
** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Alexander Bokovoy (alexander.bokovoy@nokia.com)
**
** This file is part of Feed engine.
**
** $FEED_ENGINE_BEGIN_LICENSE$
** This software, including documentation, is protected by copyright controlled by
** Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
** adapting or translating, any or all of this material requires the prior written consent
** of Nokia Corporation. This material also contains confidential information which may
** not be disclosed to others without the prior written consent of Nokia.
** $FEED_ENGINE_END_LICENSE$
**
****************************************************************************/


#ifndef FEEDMESSAGESUMMARY_H
#define FEEDMESSAGESUMMARY_H
#include <QtCore/QCoreApplication>
#include <QString>
#include <QList>
#include <QStack>

class FeedMessageSummary
{
public:
    FeedMessageSummary();
    QString extractSummary(const QString &description, int max);
    bool parse();
    void parseTag();
    void parseEndTag();
    void parseStartTag();
    void skipAttributes();
    void removeEndTag(const QString &tag);
    void addToSummary(QChar c);

    void eatSpace();
    QString parseWord();

    void parseExclamationTag();

    inline bool hasNextChar(QChar c, int lookahead = 0) const
        { return _pos + lookahead < _len && _xml.at(_pos) == c; }

private:
    int _pos;
    int _len;
    int _maxLimit;
    bool _skipText;

    QList<QString> _ignoreList;
    QList<QString>_tagList;
    QString _xml;
    QString _summary;
    QString _currentTag;
};

#endif // FEEDMESSAGESUMMARY_H
