/****************************************************************************
**
** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Alexander Bokovoy (alexander.bokovoy@nokia.com)
**
** This file is part of Feed engine.
**
** $FEED_ENGINE_BEGIN_LICENSE$
** This software, including documentation, is protected by copyright controlled by
** Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
** adapting or translating, any or all of this material requires the prior written consent
** of Nokia Corporation. This material also contains confidential information which may
** not be disclosed to others without the prior written consent of Nokia.
** $FEED_ENGINE_END_LICENSE$
**
****************************************************************************/


#ifndef FEEDNAMESPACEPLUGINMANAGER_H
#define FEEDNAMESPACEPLUGINMANAGER_H

#include "feednamespaceplugininterface.h"
#include <QMap>


class FeedNamespacePluginInterface;
class QDomElement;

class FeedNamespacePluginManager
{

 public:
    //! Constructor
    FeedNamespacePluginManager();

    //! Destructor
    ~FeedNamespacePluginManager();

    /*! This function parses the feed xml file and converts it into common xml format.
     * \param node Input to be mapped to known node
     * \return QDomElement Returns the updated node on success. Else returns the same node (input node).
     */
    QDomElement parseNamespaceNode(const QDomElement& node);


private: // Methods
    //! Loads all available plugins
    void loadPlugins();

private: // Data
    //! Map of namespace URI and its corresponding plugin interface.
    QMap<QString, FeedNamespacePluginInterface*> mapToNamespacePlugin;

};

#endif // FEEDNAMESPACEPLUGINMANAGER_H

