/****************************************************************************
**
** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Alexander Bokovoy (alexander.bokovoy@nokia.com)
**
** This file is part of Feed engine.
**
** $FEED_ENGINE_BEGIN_LICENSE$
** This software, including documentation, is protected by copyright controlled by
** Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
** adapting or translating, any or all of this material requires the prior written consent
** of Nokia Corporation. This material also contains confidential information which may
** not be disclosed to others without the prior written consent of Nokia.
** $FEED_ENGINE_END_LICENSE$
**
****************************************************************************/


#ifndef ISO8601DATEPARSER_H
#define ISO8601DATEPARSER_H


#include "feeddatetimeparser.h"

class Iso8601DateParser : public FeedDateTimeParserInterface
{
public:
    bool canParse(const QString &date) const;

    //! This Function Takes ISO Date and returns Date Time in UTC
    QDateTime parse(const QString &date);
private:
    //! This Function returns ISO 8601 Date Format
    QString getDateTimeFormat(const QString &date);

};


#endif // ISO8601DATEPARSER_H
