/****************************************************************************
**
** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Alexander Bokovoy (alexander.bokovoy@nokia.com)
**
** This file is part of Feed engine.
**
** $FEED_ENGINE_BEGIN_LICENSE$
** This software, including documentation, is protected by copyright controlled by
** Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
** adapting or translating, any or all of this material requires the prior written consent
** of Nokia Corporation. This material also contains confidential information which may
** not be disclosed to others without the prior written consent of Nokia.
** $FEED_ENGINE_END_LICENSE$
**
****************************************************************************/


#ifndef RFC822DATEPARSER_H
#define RFC822DATEPARSER_H

#include "feeddatetimeparser.h"
class RFC822DateParser : public FeedDateTimeParserInterface
{
public:
    bool canParse(const QString &date) const;
    QDateTime parse(const QString &date);

private:
    //! This gives Format string for converting RFC Date to QDateTime
    QString getRFC822Format(const QString &date);

    //! Table for Timezones supported by RFC 822
    void initTimeZoneMap();
};

#endif // RFC822DATEPARSER_H
